dag_mmap(3)

NAME
dag_mmap (OBSOLETE) - map an Endace DAG card memory buffer into an application virtual address space

SYNOPSIS
#include "dagapi.h "

void*
dag_mmap(int dagfd);

DESCRIPTION
dag_mmap returns an address in user space which corresponds to the base of the circular packet buffer as utilized by the DAG card referred to by dagfd.

This buffer pointer is used as the base address to locate valid network capture data as indicated by the offset pointer.

RETURN VALUE
On success dag_mmap returns a pointer to the memory buffer, otherwise it returns MAP_FAILED with errno set appropriately.

NOTES
dag_mmap has been obsoleted by dag_attach_stream(3).

SEE ALSO
dag_attach_stream(3).

BUGS
Report bugs to <support@endace.com>.

LAST UPDATED
$Author: koryn $
$Revision: 2474 $
$Date: 2005-11-10 11:13:19 +1300 (Thu, 10 Nov 2005) $

COPYRIGHT
(c) 2004-2005 Endace Technology, Hamilton, New Zealand. All Rights Reserved.